Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class KodoTimeWatchManager

    java.lang.Object
      |
      +--kodo.manage.KodoTimeWatchManager

public class KodoTimeWatchManager
extends Object

A KodoTimeWatchManager manages TimeWatch objects. It also contains convenience methods to easily get TimeWatch objects. Typical usage is as follows:

To obtain the KodoTimeWatchManager for the configuration:

`KodoPersistenceManagerFactory kpmf = ...;`

`JDOConfiguration conf = kpmf.getConfiguration ();`

`KodoTimeWatchManager twm = conf.getTimeWatchManager ();`

To obtain the default TimeWatch:

`TimeWatch tw = twm.getTimeWatch ();`

To obtain a named TimeWatch:

`TimeWatch tw = twm.getTimeWatch ("My Named TimeWatch");`

Quick way to obtain the default TimeWatch:

`KodoPersistenceManagerFactory kpmf = ...;`

`TimeWatch tw = KodoTimeWatchManager.getTimeWatch (kpmf);`

Quick way to obtain a named TimeWatch:

`KodoPersistenceManagerFactory kpmf = ...;`

`TimeWatch tw = KodoTimeWatchManager.getTimeWatch (kpmf, "My Named TimeWatch");`

``

Constructor Summary
`KodoTimeWatchManager(JDOConfiguration conf)`

Method Summary
`TimeWatch` | `getTimeWatch()` Get the default TimeWatch.
`static TimeWatch` | `getTimeWatch(KodoPersistenceManager kpm)` Convenience static method for obtaining the default TimeWatch associated with the JDOConfiguration associated with the passed KodoPersistenceManager.
`static TimeWatch` | `getTimeWatch(KodoPersistenceManagerFactory kpmf)` Convenience static method for obtaining the default TimeWatch associated with the JDOConfiguration associated with the passed KodoPersistenceManagerFactory.
`static TimeWatch` | `getTimeWatch(KodoPersistenceManagerFactory kpmf, String name)` Convenience static method for obtaining a named time watch associated with the JDOConfiguration associated with the passed KodoPersistenceManagerFactory.
`static TimeWatch` | `getTimeWatch(KodoPersistenceManager kpm, String name)` Convenience static method for obtaining a named time watch associated with the JDOConfiguration associated with the passed KodoPersistenceManager.
`TimeWatch` | `getTimeWatch(String name)` Get a named TimeWatch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoTimeWatchManager

    public KodoTimeWatchManager(JDOConfiguration conf)

Method Detail

### getTimeWatch

    public TimeWatch getTimeWatch(String name)

  Get a named TimeWatch.

### getTimeWatch

    public TimeWatch getTimeWatch()

  Get the default TimeWatch.

### getTimeWatch

    public static TimeWatch getTimeWatch(KodoPersistenceManagerFactory kpmf,
                                         String name)

  Convenience static method for obtaining a named time watch associated with the JDOConfiguration associated with the passed KodoPersistenceManagerFactory.

### getTimeWatch

    public static TimeWatch getTimeWatch(KodoPersistenceManager kpm,
                                         String name)

  Convenience static method for obtaining a named time watch associated with the JDOConfiguration associated with the passed KodoPersistenceManager.

### getTimeWatch

    public static TimeWatch getTimeWatch(KodoPersistenceManagerFactory kpmf)

  Convenience static method for obtaining the default TimeWatch associated with the JDOConfiguration associated with the passed KodoPersistenceManagerFactory.

### getTimeWatch

    public static TimeWatch getTimeWatch(KodoPersistenceManager kpm)

  Convenience static method for obtaining the default TimeWatch associated with the JDOConfiguration associated with the passed KodoPersistenceManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.